/*	xgblkspi.c 4.3		*/
/*F****************************************************************************

FUNCTION NAME:	xgblkspi

ACTION:		Reads/writes count characters from/to the SPI port
		to/from an array of bytes (unsigned short).

PARAMETERS:
		array:	pointer to an array of bytes.  This array is
			first read from to get a byte to output, then
			the same location is written with the byte
			input from the port.

		count:	number of bytes to be read/written.

RETURNS:	(void)

******************************************************************************/

#include <hc11/directives.h>

SMALL
void xgblkspi(array, count)

	unsigned short	*array;		/* pointer to data to be read/written */
	int		count;		/* number of bytes to be read/written */

	{

	/****************************************************************/
	/*	Note that "while ((count--) > 0)" is equivalent to	*/
	/*	"while ((--count) >= 0)" but the pre-decrement version	*/
	/*	is more efficient than the post-decrement version.	*/
	/****************************************************************/

	while ((--count) >= 0)
		*(array++) = xgbytspi((unsigned) *(array));

	}	/* end of xgblkspi	*/
